﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace AutReg
{
    /// <summary>
    /// Логика взаимодействия для Window3.xaml
    /// </summary>
    public partial class Window3 : Window
    {
        gr683_gddEntities2 db;

        public Window3()
        {
            InitializeComponent();
            db = new gr683_gddEntities2();
            dgogrenci.ItemsSource = db.Table_1.ToList();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Table_1 student = new Table_1();
            student.FName = txtFirst.Text;
            student.LName = txtLast.Text;
            db.Table_1.Add(student);
            db.SaveChanges();
            dgogrenci.ItemsSource = db.Table_1.ToList();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            try
            {
                int num = Convert.ToInt32(txtId.Text);
                var dRow = db.Table_1.Where(w => w.id == num).FirstOrDefault();
                db.Table_1.Remove(dRow);
                db.SaveChanges();
                dgogrenci.ItemsSource = db.Table_1.ToList();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            try
            {
                int num = Convert.ToInt32(txtId.Text);
                var uRow = db.Table_1.Where(w => w.id == num).FirstOrDefault();
                uRow.FName = txtFirst.Text;
                uRow.LName = txtLast.Text;
                db.SaveChanges();
                dgogrenci.ItemsSource = db.Table_1.ToList();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }

        }
       
    }
}
